﻿using System;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Windows.Data;

namespace GridTest5
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : INotifyPropertyChanged
	{
		public static MainWindow Instance { get; set; }

		public MainWindow()
		{
			InitializeComponent();
			DataContext = this;
			Instance = this;

			var items = new ObservableCollection<Record>();
			for (var i = 0; i < 200; i++)
			{
				items.Add(new Record
				    {
				        Name = "Item " + i,
						Email = "mail" + i * 10 + "@test.com",
				        Date = DateTime.Now.AddHours(i)
				    }
				);	
			}

			Items = items;

			FilteredItems = new ListCollectionView(Items);
		}

		public ObservableCollection<Record> Items { get; set; }

		public ListCollectionView FilteredItems { get; set; }

		public event PropertyChangedEventHandler PropertyChanged;
		public void NotifyPropertyChanged(string property)
		{
			var handler = PropertyChanged;
			if (handler != null) handler(this, new PropertyChangedEventArgs(property));
		}
	}

	public class Record
	{
		public string Name { get; set; }

		public string Email { get; set; }

		public DateTime Date { get; set; }
	}
}
